aboutsummaryrefslogtreecommitdiffstats
path: root/main/mumble/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-09-27 12:36:22 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2016-09-27 13:17:35 +0200
commit37a83ad09a5881cf8e63a88d651eccc06a6cfbda (patch)
tree6f029268c03c567588eeea0d313bc3771700502c /main/mumble/APKBUILD
parent4397960fd49675bf926c798685821765d8263761 (diff)
downloadaports-37a83ad09a5881cf8e63a88d651eccc06a6cfbda.tar.gz
aports-37a83ad09a5881cf8e63a88d651eccc06a6cfbda.tar.bz2
aports-37a83ad09a5881cf8e63a88d651eccc06a6cfbda.tar.xz
main/mumble: upgrade to 1.2.17
Diffstat (limited to 'main/mumble/APKBUILD')
-rw-r--r--main/mumble/APKBUILD115
1 files changed, 65 insertions, 50 deletions
diff --git a/main/mumble/APKBUILD b/main/mumble/APKBUILD
index af894fbd15..bcfa486752 100644
--- a/main/mumble/APKBUILD
+++ b/main/mumble/APKBUILD
@@ -1,37 +1,27 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Contributor: Johannes Matheis <jomat+alpinebuild@jmt.gr>
# Maintainer: Johannes Matheis <jomat+alpinebuild@jmt.gr>
pkgname=mumble
-pkgver=1.2.16
+pkgver=1.2.17
pkgrel=0
-pkgdesc="Mumble is an open source, low-latency, high quality voice chat software primarily intended for use while gaming"
+pkgdesc="A low-latency, high quality voice chat software"
url="http://wiki.mumble.info"
arch="all"
license="BSD"
depends="qt-sqlite"
-depends_dev="qt-dev libsndfile-dev boost-dev avahi-dev protobuf-dev libxi-dev
- speex-dev speexdsp-dev libcap-dev"
-makedepends="$depends_dev"
+depends_dev=""
+makedepends="qt-dev libsndfile-dev boost-dev avahi-dev protobuf-dev
+ libxi-dev speex-dev speexdsp-dev libcap-dev"
install="murmur.pre-install"
pkgusers="murmur"
pkggroups="murmur"
subpackages="$pkgname-doc murmur murmur-doc:murmur_doc"
source="https://github.com/mumble-voip/$pkgname/releases/download/$pkgver/$pkgname-$pkgver.tar.gz
- murmur.initd
- "
-
-_builddir=$srcdir/$pkgname-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+ murmur.initd"
+builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$_builddir"
+ cd "$builddir"
qmake -recursive main.pro \
CONFIG+="no-speechd no-g15 no-update no-ice bundled-celt no-embed-qt-translations no-bundled-speex" \
|| return 1
@@ -39,59 +29,84 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
+
+ # Binaries.
+ install -Dm755 ./release/mumble \
+ "$pkgdir"/usr/bin/mumble || return 1
+ install -Dm755 ./scripts/mumble-overlay \
+ "$pkgdir"/usr/bin/mumble-overlay || return 1
+
+ # Libraries.
+ install -Dm755 ./release/libmumble.so.$pkgver \
+ "$pkgdir"/usr/lib/mumble/libmumble.so.$pkgver || retrn 1
+ for lib in libmumble.so libmumble.so.1 libmumble.so.1.2; do
+ ln -s libmumble.so.$pkgver \
+ "$pkgdir"/usr/lib/mumble/$lib || return 1
+ done
+ install -Dm755 ./release/plugins/liblink.so \
+ "$pkgdir"/usr/lib/mumble/liblink.so || return1
+ install -Dm755 ./release/plugins/libmanual.so \
+ "$pkgdir"/usr/lib/mumble/libmanual.so || return 1
+ install -Dm755 ./release/libcelt* \
+ "$pkgdir"/usr/lib/mumble/ || return 1
+
+ # Misc.
+ install -Dm644 ./LICENSE \
+ "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+ install -Dm644 ./scripts/mumble.desktop \
+ "$pkgdir"/usr/share/applications/mumble.desktop || return 1
+ install -Dm644 ./icons/mumble.svg \
+ "$pkgdir"/usr/share/icons/hicolor/scalable/apps/mumble.svg \
+ || return 1
- install -m755 -D ./release/mumble ${pkgdir}/usr/bin/mumble
- install -m755 -D ./release/libmumble.so.${pkgver} ${pkgdir}/usr/lib/mumble/libmumble.so.${pkgver}
- ln -s libmumble.so.${pkgver} ${pkgdir}/usr/lib/mumble/libmumble.so
- ln -s libmumble.so.${pkgver} ${pkgdir}/usr/lib/mumble/libmumble.so.1
- ln -s libmumble.so.${pkgver} ${pkgdir}/usr/lib/mumble/libmumble.so.1.2
- install -m755 -D ./release/plugins/liblink.so ${pkgdir}/usr/lib/mumble/liblink.so
- install -m755 -D ./release/plugins/libmanual.so ${pkgdir}/usr/lib/mumble/libmanual.so
- install -m755 -D ./release/libcelt* ${pkgdir}/usr/lib/mumble/
- install -m755 -d "${pkgdir}/usr/share/man/man1/"
- install -m644 ./man/${pkgname}.1 "${pkgdir}/usr/share/man/man1/"
- install -Dm644 ./LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+ # Man pages.
+ mkdir -p "$pkgdir"/usr/share/man/man1/
+ install -m644 ./man/mum* "$pkgdir"/usr/share/man/man1/ || return 1
}
murmur() {
pkgdesc="Murmur is the server component of Mumble"
+ cd "$builddir"
- cd "$_builddir"
+ install -o murmur -g murmur -dm755 \
+ "$subpkgdir"/var/lib/murmur || return 1
+ install -Dm755 ./release/murmurd \
+ "$subpkgdir"/usr/bin/murmurd || return 1
+ install -Dm644 ./scripts/murmur.ini \
+ "$subpkgdir"/etc/murmur.ini || return 1
- install -o murmur -g murmur -dm755 ${subpkgdir}/var/lib/murmur \
- || return 1
- install -Dm755 ./release/murmurd ${subpkgdir}/usr/bin/murmurd \
- || return 1
- install -Dm644 ./scripts/murmur.ini ${subpkgdir}/etc/murmur.ini \
- || return 1
sed 's/^database=$/database=\/var\/lib\/murmur\/murmur.sqlite/;\
s/^#uname=$/uname=murmur/;\
s/^#logfile=murmur.log$/logfile=\/var\/log\/murmur.log/;\
s/^#pidfile=$/pidfile=\/var\/run\/murmur\/murmur.pid/' \
- -i ${subpkgdir}/etc/murmur.ini
+ -i "$subpkgdir"/etc/murmur.ini || return 1
+
install -Dm644 ./scripts/murmur.conf \
- ${subpkgdir}/etc/dbus-1/system.d/murmurd.conf || return 1
+ "$subpkgdir"/etc/dbus-1/system.d/murmurd.conf || return 1
sed "s/mumble-server/murmur/" \
- -i ${subpkgdir}/etc/dbus-1/system.d/murmurd.conf
- install -D -m755 ${srcdir}/murmur.initd \
- "${subpkgdir}"/etc/init.d/murmur
+ -i "$subpkgdir"/etc/dbus-1/system.d/murmurd.conf || return 1
+
+ install -Dm755 "$srcdir"/murmur.initd \
+ "$subpkgdir"/etc/init.d/murmur
}
murmur_doc() {
pkgdesc="Murmur is the server component of Mumble"
arch="noarch"
- cd "$_builddir"
-
- install -Dm644 ./man/murmurd.1 ${subpkgdir}/usr/share/man/man1/murmurd.1
- install -Dm644 ./LICENSE ${subpkgdir}/usr/share/licenses/murmur/LICENSE
+ cd "$builddir"
+ install -Dm644 ./man/murmurd.1 \
+ "$subpkgdir"/usr/share/man/man1/murmurd.1 || return 1
+ install -Dm644 ./LICENSE \
+ "$subpkgdir"/usr/share/licenses/murmur/LICENSE \
+ || return 1
default_doc
}
-md5sums="58e7574af80e36e0b943df0e6a44d6ce mumble-1.2.16.tar.gz
+md5sums="98a28c10cb607bb51f13e568db2b9570 mumble-1.2.17.tar.gz
a33eeda77b1a5d10fbebaefd9c54ec8f murmur.initd"
-sha256sums="ebd43860786f91a141e1347aa01379163f29530493bbc0186798c37faae37ac6 mumble-1.2.16.tar.gz
+sha256sums="1c3601efdac611c8833d508054698ee9d8917b4e5fffb7fff8baec0bd6c8cb9c mumble-1.2.17.tar.gz
2fa2104cc57a53145b0e962e04d90c49e3a70b9dfc3c78202948f97157c961d8 murmur.initd"
-sha512sums="8624d4db8ae135dae780bd5743f50d3a4740c5b983d18da6a19803e340fbac939204bac81b34d55a114e963b33eddefc292bc3cfea3827431ded5cad5284e565 mumble-1.2.16.tar.gz
+sha512sums="03cb0a2048d42bd480741e0580cb4bf6961d607d6cf9b620434aea87ac0cd7cdbfae33863b71821ac8b931300df490ae5436f3c8098d6a5f37dd1eab0fb34dbe mumble-1.2.17.tar.gz
c74ade232146a180448cb0027503f59642000bee50613a1fb99162cdc4bc81089ab4e84e51b0bbdac5c176eb52b76e6bd2b3ec790a9148135a1fc050569921c3 murmur.initd"